AlmaLinux 2225 Published by

A nodejs:18 security update has been released for AlmaLinux 8.



ALSA-2023:4035 Important: nodejs:18 security update


Type:
security

Severity:
important

Release date:
2023-07-12

Description
Security Fix(es):
* c-ares: 0-byte UDP payload Denial of Service (CVE-2023-32067)
* c-ares: buffer overflow in config_sortlist() due to missing string length check (CVE-2022-4904)
* c-ares: Buffer Underwrite in ares_inet_net_pton() (CVE-2023-31130)
* c-ares: Insufficient randomness in generation of DNS query IDs (CVE-2023-31147)
* c-ares: AutoTools does not set CARES_RANDOM_FILE during cross compilation (CVE-2023-31124)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
CVE-2022-4904
CVE-2023-31124
CVE-2023-31130
CVE-2023-31147
CVE-2023-32067
RHSA-2023:4035
ALSA-2023:4035

Updates packages:
nodejs-full-i18n-18.14.2-3.module_el8.8.0+3587+ee652244.aarch64.rpm
nodejs-18.14.2-3.module_el8.8.0+3587+ee652244.s390x.rpm
nodejs-devel-18.14.2-3.module_el8.8.0+3587+ee652244.aarch64.rpm
nodejs-docs-18.14.2-3.module_el8.8.0+3587+ee652244.noarch.rpm
nodejs-devel-18.14.2-3.module_el8.8.0+3587+ee652244.x86_64.rpm
nodejs-18.14.2-3.module_el8.8.0+3587+ee652244.aarch64.rpm
nodejs-full-i18n-18.14.2-3.module_el8.8.0+3587+ee652244.ppc64le.rpm
nodejs-nodemon-2.0.20-2.module_el8.8.0+3587+ee652244.noarch.rpm
nodejs-devel-18.14.2-3.module_el8.8.0+3587+ee652244.ppc64le.rpm
nodejs-devel-18.14.2-3.module_el8.8.0+3587+ee652244.s390x.rpm
nodejs-packaging-2021.06-4.module_el8.7.0+3343+ea2b7901.noarch.rpm
nodejs-18.14.2-3.module_el8.8.0+3587+ee652244.ppc64le.rpm
npm-9.5.0-1.18.14.2.3.module_el8.8.0+3587+ee652244.aarch64.rpm
nodejs-full-i18n-18.14.2-3.module_el8.8.0+3587+ee652244.x86_64.rpm
npm-9.5.0-1.18.14.2.3.module_el8.8.0+3587+ee652244.x86_64.rpm
nodejs-packaging-bundler-2021.06-4.module_el8.7.0+3343+ea2b7901.noarch.rpm
nodejs-full-i18n-18.14.2-3.module_el8.8.0+3587+ee652244.s390x.rpm
npm-9.5.0-1.18.14.2.3.module_el8.8.0+3587+ee652244.s390x.rpm
npm-9.5.0-1.18.14.2.3.module_el8.8.0+3587+ee652244.ppc64le.rpm
nodejs-18.14.2-3.module_el8.8.0+3587+ee652244.x86_64.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:4035 Important: nodejs:18 security update